## obs-3d-effect 0.0.2

=== CMakeLists.txt ===
# --- Detect if the plugin is build out of tree or not ---
if(CMAKE_PROJECT_NAME STREQUAL "obs-studio")
  set(BUILD_OUT_OF_TREE OFF)
else()
  set(BUILD_OUT_OF_TREE ON)
  cmake_minimum_required(VERSION 3.18)
endif()

project(3d-effect VERSION 0.0.2)
set(PROJECT_FULL_NAME "3D Effect")

# Set new UUIDs when you start to create a new plugin.
set(MACOS_PACKAGE_UUID "8DD2F538-1411-4C01-89E1-C466D537B81C")
set(MACOS_INSTALLER_UUID "B5003368-B9AA-467E-B420-F45D1251CBE0")

add_library(${PROJECT_NAME} MODULE)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/version.h.in ${CMAKE_CURRENT_SOURCE_DIR}/version.h)

target_sources(${PROJECT_NAME} PRIVATE
	3d-effect.c
	3d-effect.h
	version.h)

if(BUILD_OUT_OF_TREE)
	find_package(libobs REQUIRED)
	include(cmake/ObsPluginHelpers.cmake)
endif()
  
if(OS_WINDOWS)
	get_filename_component(ISS_FILES_DIR "${CMAKE_BINARY_DIR}\\..\\package" ABSOLUTE)
	file(TO_NATIVE_PATH "${ISS_FILES_DIR}" ISS_FILES_DIR)
	get_filename_component(ISS_PACKAGE_DIR "${CMAKE_PACKAGE_PREFIX}\\.." ABSOLUTE)
	file(TO_NATIVE_PATH "${ISS_PACKAGE_DIR}" ISS_PACKAGE_DIR)
	get_filename_component(ISS_SOURCE_DIR "${PROJECT_SOURCE_DIR}" ABSOLUTE)
	file(TO_NATIVE_PATH "${ISS_SOURCE_DIR}" ISS_SOURCE_DIR)
	configure_file("installer.iss.in"
			"${PROJECT_BINARY_DIR}/installer.iss"
		)
	configure_file(${CMAKE_CURRENT_SOURCE_DIR}/resource.rc.in ${CMAKE_CURRENT_SOURCE_DIR}/${PROJECT_NAME}.rc)
	target_sources(${PROJECT_NAME} PRIVATE 
		${CMAKE_CURRENT_SOURCE_DIR}/${PROJECT_NAME}.rc)
elseif(OS_MACOS)
		set(MACOS_BUNDLEID "com.exeldro.${PROJECT_NAME}")
		set(MACOSX_PLUGIN_GUI_IDENTIFIER "${MACOS_BUNDLEID}")
		set(MACOSX_PLUGIN_BUNDLE_VERSION "${PROJECT_VERSION}")
		set(MACOSX_PLUGIN_SHORT_VERSION_STRING "1")
		configure_file(cmake/bundle/macos/installer-macos.pkgproj.in ${CMAKE_BINARY_DIR}/installer-macos.generated.pkgproj)
		target_compile_options(${PROJECT_NAME} PRIVATE -Wall)
endif()

target_link_libraries(${PROJECT_NAME}
	OBS::libobs)

if(BUILD_OUT_OF_TREE)
    if(NOT LIB_OUT_DIR)
        set(LIB_OUT_DIR "/lib/obs-plugins")
    endif()
    if(NOT DATA_OUT_DIR)
        set(DATA_OUT_DIR "/share/obs/obs-plugins/${PROJECT_NAME}")
    endif()
    set_target_properties(${PROJECT_NAME} PROPERTIES PREFIX "")
    install(TARGETS ${PROJECT_NAME}
        LIBRARY DESTINATION ${CMAKE_INSTALL_PREFIX}/${LIB_OUT_DIR})
    install(DIRECTORY data/locale
        DESTINATION ${CMAKE_INSTALL_PREFIX}/${DATA_OUT_DIR})
else()
    target_include_directories(${PROJECT_NAME} PRIVATE
        "${CMAKE_SOURCE_DIR}/UI/obs-frontend-api")
    set_target_properties(${PROJECT_NAME} PROPERTIES FOLDER "plugins/exeldro")
endif()
setup_plugin_target(${PROJECT_NAME})

=== debian/changelog ===
obs-3d-effect (0.0.2-2~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 24 Jul 2023 11:01:09 -0300

obs-3d-effect (0.0.2-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/control: added a Breaks field to make this plugin incompatible with
    obs-text-slideshow (<= 1.5.2-3), no longer in Debian.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 11 Jun 2023 15:34:13 -0300

obs-3d-effect (0.0.2-1) experimental; urgency=medium

  * Initial release. (Closes: #1033152)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 18 Mar 2023 09:43:07 -0300

=== debian/control ===
Source: obs-3d-effect
Section: video
Priority: optional
Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13), cmake, libobs-dev (>= 29)
Standards-Version: 4.6.2
Homepage: https://obsproject.com/forum/resources/3d-effect.1692/
Vcs-Browser: https://salsa.debian.org/debian/obs-3d-effect
Vcs-Git: https://salsa.debian.org/debian/obs-3d-effect.git

Package: obs-3d-effect
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, obs-studio (>= 29)
Enhances: obs-studio
Breaks: obs-text-slideshow (<= 1.5.2-3)
Description: plugin for OBS Studio to add a static 3D effect to sources
 This plugin provides a filter that creates a static 3D effect over a
 source. In other words, is possible to rotate a source around three
 axis. Also is possible to move the source over three axis and scale
 it over two axis.

## obs-3d-effect 0.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,15 @@
 # --- Detect if the plugin is build out of tree or not ---
 if(CMAKE_PROJECT_NAME STREQUAL "obs-studio")
   set(BUILD_OUT_OF_TREE OFF)
+  if(OBS_CMAKE_VERSION VERSION_GREATER_EQUAL 3.0.0)
+    legacy_check()
+  endif()
 else()
   set(BUILD_OUT_OF_TREE ON)
   cmake_minimum_required(VERSION 3.18)
 endif()
 
-project(3d-effect VERSION 0.0.2)
+project(3d-effect VERSION 0.1.0)
 set(PROJECT_FULL_NAME "3D Effect")
 
 # Set new UUIDs when you start to create a new plugin.
@@ -64,9 +67,14 @@
         LIBRARY DESTINATION ${CMAKE_INSTALL_PREFIX}/${LIB_OUT_DIR})
     install(DIRECTORY data/locale
         DESTINATION ${CMAKE_INSTALL_PREFIX}/${DATA_OUT_DIR})
+    setup_plugin_target(${PROJECT_NAME})
 else()
     target_include_directories(${PROJECT_NAME} PRIVATE
         "${CMAKE_SOURCE_DIR}/UI/obs-frontend-api")
-    set_target_properties(${PROJECT_NAME} PROPERTIES FOLDER "plugins/exeldro")
+    if(OBS_CMAKE_VERSION VERSION_GREATER_EQUAL 3.0.0)
+        set_target_properties_obs(${PROJECT_NAME} PROPERTIES FOLDER "plugins/exeldro" PREFIX "")
+    else()
+        set_target_properties(${PROJECT_NAME} PROPERTIES FOLDER "plugins/exeldro")
+        setup_plugin_target(${PROJECT_NAME})
+    endif()
 endif()
-setup_plugin_target(${PROJECT_NAME})

=== debian/changelog ===
obs-3d-effect (0.1.0-1) unstable; urgency=medium

  * New upstream version 0.1.0.
  * debian/copyright: updated upstream and packaging copyright years.
  * debian/patches/010_update-pt-BR.patch: created to update the pt-BR
    translation.
  * debian/rules: added DEB_CFLAGS_MAINT_APPEND variable to use -Wno-psabi to
    allow this plugin to build over i386 (and possible other architectures).

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 23 Apr 2024 17:30:11 -0300

## obs-3d-effect 0.1.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,15 +1,12 @@
 # --- Detect if the plugin is build out of tree or not ---
 if(CMAKE_PROJECT_NAME STREQUAL "obs-studio")
   set(BUILD_OUT_OF_TREE OFF)
-  if(OBS_CMAKE_VERSION VERSION_GREATER_EQUAL 3.0.0)
-    legacy_check()
-  endif()
 else()
   set(BUILD_OUT_OF_TREE ON)
   cmake_minimum_required(VERSION 3.18)
 endif()
 
-project(3d-effect VERSION 0.1.0)
+project(3d-effect VERSION 0.1.3)
 set(PROJECT_FULL_NAME "3D Effect")
 
 # Set new UUIDs when you start to create a new plugin.

=== debian/changelog ===
obs-3d-effect (0.1.3-1) unstable; urgency=medium

  * New upstream version 0.1.3.
  * debian/copyright: updated packaging copyright years.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 17 Jan 2025 12:40:08 -0300

obs-3d-effect (0.1.2-1) unstable; urgency=medium

  * New upstream version 0.1.2.
  * debian/control: bumped Standards-Version to 4.7.0.
  * debian/patches/010_update-pt-BR.patch: removed because the upstream applied
    this patch. Thanks!

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 02 Dec 2024 13:48:36 -0300

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13), cmake, libobs-dev (>= 29)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://obsproject.com/forum/resources/3d-effect.1692/
 Vcs-Browser: https://salsa.debian.org/debian/obs-3d-effect
 Vcs-Git: https://salsa.debian.org/debian/obs-3d-effect.git

## obs-3d-effect 0.1.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
   cmake_minimum_required(VERSION 3.18)
 endif()
 
-project(3d-effect VERSION 0.1.3)
+project(3d-effect VERSION 0.1.4)
 set(PROJECT_FULL_NAME "3D Effect")
 
 # Set new UUIDs when you start to create a new plugin.

=== debian/changelog ===
obs-3d-effect (0.1.4-1) unstable; urgency=medium

  * New upstream version 0.1.4.
  * debian/control: bumped Standards-Version to 4.7.2.
  * debian/copyright: updated upstream copyright years.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 30 Aug 2025 01:34:13 -0300

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13), cmake, libobs-dev (>= 29)
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://obsproject.com/forum/resources/3d-effect.1692/
 Vcs-Browser: https://salsa.debian.org/debian/obs-3d-effect
 Vcs-Git: https://salsa.debian.org/debian/obs-3d-effect.git

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -Wno-psabi

# Exclude "obs-" from NAME and set a DEST
export PLUGIN_NAME=$(shell echo ${DEB_SOURCE} | cut -d"-" -f2-)
export PLUGIN_DEST=debian/${DEB_SOURCE}/usr/lib/${DEB_TARGET_MULTIARCH}/obs-plugins

%:
	dh $@

execute_before_dh_auto_configure:
	if [ "$(shell hostname)" = "canopus" ]; then \
	    LINESUS=$(shell cat data/locale/en-US.ini | wc -l); \
	    LINESPT=$(shell cat data/locale/pt-BR.ini | wc -l); \
	    if [ "$$LINESUS" != "$$LINESPT" ]; then \
	        echo "ERROR: Translation to pt_BR is out of date."; \
	        exit 1; \
	    fi; \
	fi

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_OUT_OF_TREE=On \
                             -DLIB_OUT_DIR=lib/${DEB_TARGET_MULTIARCH}/obs-plugins \
                             -DDATA_OUT_DIR=share/obs/obs-plugins/${PLUGIN_NAME} \
                             -DLINUX_PORTABLE=Off

execute_after_dh_install-arch:
	# Check if the plugin is in right place
	ls ${PLUGIN_DEST}/${PLUGIN_NAME}.so

=== debian/watch ===
version=4
# The following rule is right, but the upstream frequently...
# https://github.com/exeldro/obs-source-copy/tags archive/refs/tags/(\d\S+)\.tar\.(?:bz2|gz|xz)

# The upstream frequently forgets to update the tag on GitHub, but he always
# updates the official homepage at obsproject.com (see Homepage field at
# debian/control file). The following rule is a workaround to check the current
# version on the official homepage and to call this version from the GitHub.

# LINTIAN will warn about the filenamemangle. The filenamemangle is needed
# because we are using jumps and workarounds to get the last version from the
# upstream. Consequently, the name got by uscan is an HTML code (this is trash,
# no filename, no version).

opts="searchmode=plain, \
      downloadurlmangle=s/.*u-muted..([\d\.]+).*/https:\/\/github.com\/exeldro\/@PACKAGE@\/archive\/refs\/tags\/$1\.tar\.gz/, \
      filenamemangle=s/.*muted..([\d\.]+)..span./@PACKAGE@-$1\.tar\.gz/" \
https://obsproject.com/forum/resources/3d-effect.1692/ .span.class..u-muted..(\d\S+)..span.
